Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class Profiler

    java.lang.Object
      org.modeshape.jcr.Profiler

    public class Profiler

extends Object

A profiling utility for recording various activities.

Field Summary
`static String` | `DEFAULT_FILENAME`
`protected static char` | `DOUBLE_QUOTE`
`static String` | `PROFILE_FILENAME_PROPERTY_NAME`
`protected static char` | `QUOTE`
`protected static char` | `SPACE`

Constructor Summary
`Profiler()`

Method Summary
`static void` | `activated()`
`static void` | `deactivated()`
`void` | `enterMethod(Object target, String methodName, Object... params)`
`void` | `enterMethod(String methodName, Object[] targetAndParams)`
`void` | `exitMethod(Object target, String methodName, Object... params)`
`void` | `exitMethod(String methodName, Object[] targetAndParams)`
`protected static long` | `now()`
`void` | `trace(String action)`
`void` | `trace(String action, Object... params)`
`void` | `traceMessage(String message)`
`void` | `traceMethod(Object target, String methodName, Object... params)`
`void` | `traceMethod(String methodName, Object[] targetAndParams)`
`protected void` | `write(Object value)`
`protected void` | `writeMethod(boolean appendNewline, String action, Object target, String methodName, Object... params)`
`protected void` | `writeMethodOnLine(String action, Object target, String methodName, Object... params)`
`protected void` | `writeOnLine(String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SPACE

    protected static final char SPACE

See Also:
  Constant Field Values

### QUOTE

    protected static final char QUOTE

See Also:
  Constant Field Values

### DOUBLE_QUOTE

    protected static final char DOUBLE_QUOTE

See Also:
  Constant Field Values

### PROFILE_FILENAME_PROPERTY_NAME

    public static final String PROFILE_FILENAME_PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_FILENAME

    public static final String DEFAULT_FILENAME

See Also:
  Constant Field Values

Constructor Detail

### Profiler

    public Profiler()

Method Detail

### activated

    public static void activated()

### deactivated

    public static void deactivated()

### enterMethod

    public void enterMethod(String methodName,
                            Object[] targetAndParams)

### exitMethod

    public void exitMethod(String methodName,
                           Object[] targetAndParams)

### traceMethod

    public void traceMethod(String methodName,
                            Object[] targetAndParams)

### enterMethod

    public void enterMethod(Object target,
                            String methodName,
                            Object... params)

### exitMethod

    public void exitMethod(Object target,
                           String methodName,
                           Object... params)

### traceMethod

    public void traceMethod(Object target,
                            String methodName,
                            Object... params)

### trace

    public void trace(String action,
                      Object... params)

### trace

    public void trace(String action)

### traceMessage

    public void traceMessage(String message)

### writeOnLine

    protected final void writeOnLine(String message)

### writeMethodOnLine

    protected final void writeMethodOnLine(String action,
                                           Object target,
                                           String methodName,
                                           Object... params)

### writeMethod

    protected final void writeMethod(boolean appendNewline,
                                     String action,
                                     Object target,
                                     String methodName,
                                     Object... params)

### write

    protected final void write(Object value)
                        throws Exception

  Throws:
    `Exception`

### now

    protected static final long now()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.